Subject: Re: [TLS] Eric Rescorla's Yes on draft-ietf-tls-iana-registry-updates-04: (with COMMENT)

From: Sean Turner <[email-masked]>
Date: Wed, 4 Apr 2018 20:54:39 -0500

> On Mar 31, 2018, at 12:54, Eric Rescorla <[email-masked]> wrote:
> 
> Eric Rescorla has entered the following ballot position for
> draft-ietf-tls-iana-registry-updates-04: Yes
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-tls-iana-registry-updates/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> requires standards action.  Not all parameters defined in standards
>   track documents need to be marked as recommended.
> It might be useful to capitalize Recommended here.

Here and a couple of other places I capitalized recommended.

>   been through the IETF consensus process, has limited applicability,
>   or is intended only for specific use cases.
> I think technically it has "Recommended = No”

yeah the OPSDIR review noted this as well so I changed the sentence to be:

If an item is not marked as recommended it does …

https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/pull/62/files

>   Note:  Supported Groups marked as "Yes" are those allocated via
>      Standards Track RFCs.  Supported Groups marked as "No" are not;
>      supported groups marked "No" range from "good" to "bad" from a
> This may need a revision because some have not been allocated that way.

Supported Groups is the one real odd-ball here because they were originally not on standards track, but 4492bis is going to move them there.  Would this work:

These “Yes” groups are taken from Standards Track RFCs; {{?I-D.ietf-tls-rfc4492bis}} elevates secp256r1 and secp384r1 to Standards Track.

>      thus requiring a new construction.  The exporter interface remains
>      the same, however the value is computed different.
> differently.

PR for the three changes:

https://github.com/tlswg/draft-ietf-tls-iana-registry-updates/pull/72